Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class SerializableDeploymentInfo

    java.lang.Object
      org.jboss.deployment.SerializableDeploymentInfo

All Implemented Interfaces:
  Serializable

public class SerializableDeploymentInfo
extends Object
implements Serializable

DeploymentInfo for remote access by the DeploymentManager. It provides a serializable subset of the information available in DeploymentInfo.

Version:
  $Revision: 1.2 $
Author:
  thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary
`Collection` | `classpath`
`Date` | `date`
`javax.management.ObjectName` | `deployedObject`
`javax.management.ObjectName` | `deployer`
`URL` | `documentUrl`
`boolean` | `isDirectory`
`boolean` | `isScript`
`boolean` | `isXML`
`long` | `lastDeployed`
`long` | `lastModified`
`URL` | `localUrl`
`List` | `mbeans`
`SerializableDeploymentInfo` | `parent`
`String` | `shortName`
`DeploymentState` | `state`
`String` | `status`
`List` | `subDeployments`
`URL` | `url`
`URL` | `watch`
`String` | `webContext`

Constructor Summary
`SerializableDeploymentInfo(DeploymentInfo info)` Construct this object from a DeploymentInfo

Method Summary
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### date

    public Date date

### url

    public URL url

### localUrl

    public URL localUrl

### watch

    public URL watch

### shortName

    public String shortName

### lastDeployed

    public long lastDeployed

### lastModified

    public long lastModified

### status

    public String status

### state

    public DeploymentState state

### deployer

    public javax.management.ObjectName deployer

### classpath

    public Collection classpath

### mbeans

    public List mbeans

### subDeployments

    public List subDeployments

### parent

    public SerializableDeploymentInfo parent

### webContext

    public String webContext

### documentUrl

    public URL documentUrl

### isXML

    public boolean isXML

### isScript

    public boolean isScript

### isDirectory

    public boolean isDirectory

### deployedObject

    public javax.management.ObjectName deployedObject

Constructor Detail

### SerializableDeploymentInfo

    public SerializableDeploymentInfo(DeploymentInfo info)

  Construct this object from a DeploymentInfo

Method Detail

### toString

    public String toString()

  Returns a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.